<?php
/**
 * Archive Layout
 *
 * @package Headline News
 */

$wp_customize->add_section(
	'headline_news_archive_layout',
	array(
		'title' => esc_html__( 'Archive Layout', 'headline-news' ),
		'panel' => 'headline_news_theme_options',
	)
);

// Archive Layout - Column Layout.
$wp_customize->add_setting(
	'headline_news_archive_column_layout',
	array(
		'default'           => 'column-2',
		'sanitize_callback' => 'headline_news_sanitize_select',
	)
);

$wp_customize->add_control(
	'headline_news_archive_column_layout',
	array(
		'label'   => esc_html__( 'Column Layout', 'headline-news' ),
		'section' => 'headline_news_archive_layout',
		'type'    => 'select',
		'choices' => array(
			'column-2' => __( 'Column 2', 'headline-news' ),
			'column-3' => __( 'Column 3', 'headline-news' ),
		),
	)
);
